Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# OgreGLATIFSInit.cpp File Reference

`#include "OgreGLATIFSInit.h"`
`#include "OgreGLPrerequisites.h"`

Go to the source code of this file.

## Functions

bool | InitATIFragmentShaderExtensions (Ogre::GLSupport &glSupport)

## Variables

PFNGLGENFRAGMENTSHADERSATIPROC | glGenFragmentShadersATI_ptr = NULL
PFNGLBINDFRAGMENTSHADERATIPROC | glBindFragmentShaderATI_ptr = NULL
PFNGLDELETEFRAGMENTSHADERATIPROC | glDeleteFragmentShaderATI_ptr = NULL
PFNGLBEGINFRAGMENTSHADERATIPROC | glBeginFragmentShaderATI_ptr = NULL
PFNGLENDFRAGMENTSHADERATIPROC | glEndFragmentShaderATI_ptr = NULL
PFNGLPASSTEXCOORDATIPROC | glPassTexCoordATI_ptr = NULL
PFNGLSAMPLEMAPATIPROC | glSampleMapATI_ptr = NULL
PFNGLCOLORFRAGMENTOP1ATIPROC | glColorFragmentOp1ATI_ptr = NULL
PFNGLCOLORFRAGMENTOP2ATIPROC | glColorFragmentOp2ATI_ptr = NULL
PFNGLCOLORFRAGMENTOP3ATIPROC | glColorFragmentOp3ATI_ptr = NULL
PFNGLALPHAFRAGMENTOP1ATIPROC | glAlphaFragmentOp1ATI_ptr = NULL
PFNGLALPHAFRAGMENTOP2ATIPROC | glAlphaFragmentOp2ATI_ptr = NULL
PFNGLALPHAFRAGMENTOP3ATIPROC | glAlphaFragmentOp3ATI_ptr = NULL
PFNGLSETFRAGMENTSHADERCONSTANTATIPROC | glSetFragmentShaderConstantATI_ptr = NULL

## Function Documentation

bool InitATIFragmentShaderExtensions | ( | Ogre::GLSupport & | glSupport | ) |

Definition at line 35 of file OgreGLATIFSInit.cpp.

References Ogre::GLSupport::getProcAddress(), glAlphaFragmentOp1ATI_ptr, glAlphaFragmentOp2ATI_ptr, glAlphaFragmentOp3ATI_ptr, glBeginFragmentShaderATI_ptr, glBindFragmentShaderATI_ptr, glColorFragmentOp1ATI_ptr, glColorFragmentOp2ATI_ptr, glColorFragmentOp3ATI_ptr, glDeleteFragmentShaderATI_ptr, glEndFragmentShaderATI_ptr, glGenFragmentShadersATI_ptr, glPassTexCoordATI_ptr, glSampleMapATI_ptr, and glSetFragmentShaderConstantATI_ptr.

Referenced by Ogre::GLRenderSystem::initGL().

## Variable Documentation

PFNGLALPHAFRAGMENTOP1ATIPROC glAlphaFragmentOp1ATI_ptr = NULL

| Definition at line 30 of file OgreGLATIFSInit.cpp. Referenced by InitATIFragmentShaderExtensions().

PFNGLALPHAFRAGMENTOP2ATIPROC glAlphaFragmentOp2ATI_ptr = NULL

| Definition at line 31 of file OgreGLATIFSInit.cpp. Referenced by InitATIFragmentShaderExtensions().

PFNGLALPHAFRAGMENTOP3ATIPROC glAlphaFragmentOp3ATI_ptr = NULL

| Definition at line 32 of file OgreGLATIFSInit.cpp. Referenced by InitATIFragmentShaderExtensions().

PFNGLBEGINFRAGMENTSHADERATIPROC glBeginFragmentShaderATI_ptr = NULL

| Definition at line 23 of file OgreGLATIFSInit.cpp. Referenced by InitATIFragmentShaderExtensions().

PFNGLBINDFRAGMENTSHADERATIPROC glBindFragmentShaderATI_ptr = NULL

| Definition at line 21 of file OgreGLATIFSInit.cpp. Referenced by InitATIFragmentShaderExtensions().

PFNGLCOLORFRAGMENTOP1ATIPROC glColorFragmentOp1ATI_ptr = NULL

| Definition at line 27 of file OgreGLATIFSInit.cpp. Referenced by InitATIFragmentShaderExtensions().

PFNGLCOLORFRAGMENTOP2ATIPROC glColorFragmentOp2ATI_ptr = NULL

| Definition at line 28 of file OgreGLATIFSInit.cpp. Referenced by InitATIFragmentShaderExtensions().

PFNGLCOLORFRAGMENTOP3ATIPROC glColorFragmentOp3ATI_ptr = NULL

| Definition at line 29 of file OgreGLATIFSInit.cpp. Referenced by InitATIFragmentShaderExtensions().

PFNGLDELETEFRAGMENTSHADERATIPROC glDeleteFragmentShaderATI_ptr = NULL

| Definition at line 22 of file OgreGLATIFSInit.cpp. Referenced by InitATIFragmentShaderExtensions().

PFNGLENDFRAGMENTSHADERATIPROC glEndFragmentShaderATI_ptr = NULL

| Definition at line 24 of file OgreGLATIFSInit.cpp. Referenced by InitATIFragmentShaderExtensions().

PFNGLGENFRAGMENTSHADERSATIPROC glGenFragmentShadersATI_ptr = NULL

| Definition at line 20 of file OgreGLATIFSInit.cpp. Referenced by InitATIFragmentShaderExtensions().

PFNGLPASSTEXCOORDATIPROC glPassTexCoordATI_ptr = NULL

| Definition at line 25 of file OgreGLATIFSInit.cpp. Referenced by InitATIFragmentShaderExtensions().

PFNGLSAMPLEMAPATIPROC glSampleMapATI_ptr = NULL

| Definition at line 26 of file OgreGLATIFSInit.cpp. Referenced by InitATIFragmentShaderExtensions().

PFNGLSETFRAGMENTSHADERCONSTANTATIPROC glSetFragmentShaderConstantATI_ptr = NULL

| Definition at line 33 of file OgreGLATIFSInit.cpp. Referenced by InitATIFragmentShaderExtensions().

Copyright © 2002-2003 by The OGRE Team
Last modified Sun Nov 28 19:48:53 2004